Author Topic: Could not refresh Packages  (Read 741 times)

Offline Rodney9

  • Newbie
  • *
  • Posts: 28
  • Karma +0/-0
  • Curious Pinguy
Could not refresh Packages
« on: August 25, 2010, 10:28:55 pm »
I followed the instructions -

sudo add-apt-repository ppa:onestone/vlc
sudo apt-get update
sudo ppa-purge ppa:ppa:c-korn/vlc

and un-ticked remastersys

But I still get the error -

Failed to fetch http://ppa.launchpad.net/c-korn/vlc/ubuntu/dists/lucid/main/binary-i386/Packages.gz  404  Not Found
Some index files failed to download, they have been ignored, or old ones used instead.

I close update manger and it either tries to refresh endlessly or locks up.

Any clues.
Thanks,
Rodney


Toshiba Satellite L500/08P Laptop - Pinguy OS 10.04.1

Share on Facebook Share on Twitter


Offline Pinguy

  • Administrator
  • Full
  • *****
  • Posts: 191
  • Karma +4/-0
  • Pinguy Master!
  • Location: United Kingdom
    • Pinguy OS
Re: Could not refresh Packages
« Reply #1 on: August 25, 2010, 10:42:59 pm »
You didn't do this.
 
Code: [Select]
sudo add-apt-repository ppa:onestone/vlc
sudo apt-get update
sudo ppa-purge ppa:ppa:c-korn/vlc

Open the Terminal copy each line one at a time and paste it into the Terminal and hit enter, and enter your password.
I'm the Pinguy OS developer.

DONATE TO PINGUY OS or show some love on Flattr.com

Offline Rodney9

  • Newbie
  • *
  • Posts: 28
  • Karma +0/-0
  • Curious Pinguy
Re: Could not refresh Packages
« Reply #2 on: August 25, 2010, 10:57:14 pm »
I still get -
Code: [Select]
Err http://ppa.launchpad.net lucid/main Packages                               
  404  Not Found
Fetched 12.8kB in 10s (1,235B/s)                                               
W: Failed to fetch http://ppa.launchpad.net/c-korn/vlc/ubuntu/dists/lucid/main/binary-i386/Packages.gz  404  Not Found

E: Some index files failed to download, they have been ignored, or old ones used instead.
Toshiba Satellite L500/08P Laptop - Pinguy OS 10.04.1

Offline Pinguy

  • Administrator
  • Full
  • *****
  • Posts: 191
  • Karma +4/-0
  • Pinguy Master!
  • Location: United Kingdom
    • Pinguy OS
Re: Could not refresh Packages
« Reply #3 on: August 25, 2010, 11:06:39 pm »
OK this should fix it.

Code: [Select]
sudo apt-get install ppa-purge
sudo add-apt-repository ppa:onestone/vlc
sudo apt-get update
sudo ppa-purge ppa:ppa:c-korn/vlc

I thought that ppa-purge was installed as Ubuntu Tweak uses it. But after checking in wasn't.
« Last Edit: August 25, 2010, 11:08:37 pm by Pinguy »
I'm the Pinguy OS developer.

DONATE TO PINGUY OS or show some love on Flattr.com

Offline Rodney9

  • Newbie
  • *
  • Posts: 28
  • Karma +0/-0
  • Curious Pinguy
Re: Could not refresh Packages
« Reply #4 on: August 25, 2010, 11:16:23 pm »
OK this should fix it.

Code: [Select]
sudo apt-get install ppa-purge
sudo add-apt-repository ppa:onestone/vlc
sudo apt-get update
sudo ppa-purge ppa:ppa:c-korn/vlc

I thought that ppa-purge was installed as Ubuntu Tweak uses it. But after checking in wasn't.

$ sudo apt-get install ppa-purge

ppa-purge is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Toshiba Satellite L500/08P Laptop - Pinguy OS 10.04.1

Offline Pinguy

  • Administrator
  • Full
  • *****
  • Posts: 191
  • Karma +4/-0
  • Pinguy Master!
  • Location: United Kingdom
    • Pinguy OS
Re: Could not refresh Packages
« Reply #5 on: August 25, 2010, 11:20:35 pm »
Sorry my bad  :'(

this
Code: [Select]
sudo ppa-purge ppa:ppa:c-korn/vlc
Should be this
Code: [Select]
sudo ppa-purge ppa:c-korn/vlc
I added an extra "ppa:"

« Last Edit: August 25, 2010, 11:22:28 pm by Pinguy »
I'm the Pinguy OS developer.

DONATE TO PINGUY OS or show some love on Flattr.com

Offline Rodney9

  • Newbie
  • *
  • Posts: 28
  • Karma +0/-0
  • Curious Pinguy
Re: Could not refresh Packages
« Reply #6 on: August 25, 2010, 11:26:09 pm »
I don't know what to say.

sudo ppa-purge ppa:ppa:c-korn/vlc

Will remove the c-korn/vlc repostory and un-install all the packages it got from there then download them from a live repostory.

Code: [Select]
$ sudo ppa-purge ppa:ppa:c-korn/vlc
PPA to be removed: ppa:c-korn vlc
Warning:  Could not find package list for PPA: ppa:c-korn vlc

I know what to say, this is one only tiny glitch in such a fantastic OS, I sorry for nitpicking.

Thanks for your support.
Toshiba Satellite L500/08P Laptop - Pinguy OS 10.04.1

Offline Pinguy

  • Administrator
  • Full
  • *****
  • Posts: 191
  • Karma +4/-0
  • Pinguy Master!
  • Location: United Kingdom
    • Pinguy OS
Re: Could not refresh Packages
« Reply #7 on: August 25, 2010, 11:32:16 pm »
Look at my last post. After I posted that I noticed what was wrong then did an edit.
I'm the Pinguy OS developer.

DONATE TO PINGUY OS or show some love on Flattr.com

Offline fatgiant

  • Administrator
  • Junior
  • *****
  • Posts: 88
  • Karma +3/-0
  • Pinguy OS Fan
  • Location: Portugal
    • Stay Free
Re: Could not refresh Packages
« Reply #8 on: August 25, 2010, 11:47:04 pm »
I used Ubuntu Tweak to delete that ppa in the sources.

It worked for me. Just saying... :)
When something is working, don't FIX it.

Offline Rodney9

  • Newbie
  • *
  • Posts: 28
  • Karma +0/-0
  • Curious Pinguy
Re: Could not refresh Packages
« Reply #9 on: August 26, 2010, 12:00:26 am »
Look at my last post. After I posted that I noticed what was wrong then did an edit.

That did it, Thanks again.

Rodney
Toshiba Satellite L500/08P Laptop - Pinguy OS 10.04.1

Offline fatgiant

  • Administrator
  • Junior
  • *****
  • Posts: 88
  • Karma +3/-0
  • Pinguy OS Fan
  • Location: Portugal
    • Stay Free
Re: Could not refresh Packages
« Reply #10 on: August 26, 2010, 04:21:40 am »
Great. Closed. Moved.
When something is working, don't FIX it.